precision mediump float; 

varying vec3 forFragColor;
varying vec2 forFragTexCoord;

uniform sampler2D myTexture;

void main() {
    vec3 textureColor = vec3( texture2D(myTexture, forFragTexCoord) );
    gl_FragColor  = vec4(forFragColor * textureColor, 1.0); 
}



