attribute vec3 inputPosition;
attribute vec4 inputColor;
attribute vec2 inputTexCoord;

uniform mat4 projection;
uniform mat4 modelview;

varying vec3 forFragColor;
varying vec2 forFragTexCoord;

void main(){
    forFragColor = inputColor.rgb;
    forFragTexCoord = inputTexCoord;
    gl_Position =  projection * modelview * vec4(inputPosition, 1.0);
}

